//  Persistance of Vision Raytracer V1.0
//  World definition file.
//
//  Contains 2 lights, 6 textures and 26 primitives.
//
//  This file was generated for POV-Ray V1.0 by
//  MORAY.EXE (c) '91 '92 '93 SoftTronics by Lutz Kretzschmar + Markus Lutz
//

//  Date : 07/19/1993    (19.07.1993)
//

//
//  This is MORAY's default standard include file for POV.
//  called MRYDEFLT.INC
//

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
camera {  //  Camera Camera01
  location  <37.974 8.253 12.621>
  direction <0.0  0.0  2.8041>
  sky       <0.0  0.0  1.0>  // Use right handed-system!
  up        <0.0  0.0  1.0>  // Where Z is up
  right     <1.3333  0.0  0.0>
  look_at   <0.000 0.000 0.000>
}

// *******  L I G H T S *******
object {   // Light source out_light
  light_source {
    <10.502 -0.093 30.000>
    color  red 1.000 green 1.000 blue 1.000
  }
}

object {   // Light source out_light_2
  light_source {
    <-2.045 30.000 5.483>
    color  red 1.000 green 1.000 blue 1.000
  }
}


//
// ********  T E X T U R E S  *******
//

#include "CMAKER.INC"

// ********  O B J E C T S *******
#declare coffe_base = intersection {
  box { UnitBox 
  texture {
    silver
  }
  }
  scale <4.137546 2.092937 0.950000>
  translate <0.000000 -0.092937 0.000000>
}

#declare coffe_housing = intersection {
  quadric { Cylinder_Z
  texture {
    silver
  }
  }
  plane { <0 0 -1> 0
  texture {
    silver
  }
  }
  plane { <0 0 +1> 1
  texture {
    silver
  }
  }
  scale <1.750000 1.750000 6.000000>
  translate <-2.044610 0.000000 0.000000>
}

#declare coffee_top_2 = intersection {
  quadric { QCone_Z
  texture {
    silver
  }
  }
  plane { <0 0 +1> 1
  texture {
    silver
  }
  }
  plane { <0 0 -1> 0
  texture {
    silver
  }
  }
  scale <1.750000 1.750000 1.750000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <-2.044610 0.000000 7.750000>
}

#declare coffe_cyd_2 = intersection {
  quadric { Cylinder_Z
  texture {
    silver
  }
  }
  plane { <0 0 -1> 0
  texture {
    silver
  }
  }
  plane { <0 0 +1> 1
  texture {
    silver
  }
  }
  scale <1.000000 1.000000 1.250000>
  translate <-2.044610 0.000000 6.877323>
}

#declare handle = intersection {
  quadric { Cylinder_Z
  texture {
    silver
  }
  }
  plane { <0 0 -1> 0
  texture {
    silver
  }
  }
  plane { <0 0 +1> 1
  texture {
    silver
  }
  }
  scale <0.300000 0.300000 3.000000>
  rotate <-0.000000 -90.000000 -36.784691>
  translate <0.743494 -2.602230 4.925651>
}

#declare top_cone2 = intersection {
  quadric { QCone_Z
  texture {
    silver
  }
  }
  plane { <0 0 +1> 1
  texture {
    silver
  }
  }
  plane { <0 0 -1> 0
  texture {
    silver
  }
  }
  scale <0.950000 0.950000 0.950000>
  rotate <-0.000000 -180.000000 -0.000000>
  translate <-2.044610 0.035316 9.086431>
}

#declare coffe_maker = composite {
  object { intersection { coffe_base } }
  object { intersection { coffe_housing } }
  object { intersection { coffee_top_2 } }
  object { intersection { coffe_cyd_2 } }
  object { intersection { handle } }
  object { intersection { top_cone2 } }
}
#declare top_cone = intersection {
  quadric { QCone_Z
  texture {
    knob_purple
  }
  }
  plane { <0 0 +1> 1
  texture {
    knob_purple
  }
  }
  plane { <0 0 -1> 0
  texture {
    knob_purple
  }
  }
  translate <-2.044610 0.000000 8.550186>
}

#declare top_cone1 = intersection {
  quadric { QCone_Z
  texture {
    knob_purple
  }
  }
  plane { <0 0 +1> 1
  texture {
    knob_purple
  }
  }
  plane { <0 0 -1> 0
  texture {
    knob_purple
  }
  }
  rotate <-0.000000 -90.000000 -90.000000>
  translate <-2.044610 0.464684 7.505576>
}

#declare base_cover = intersection {
  box { UnitBox 
  texture {
    knob_purple
  }
  }
  scale <3.992937 1.850000 0.200000>
  translate <0.000000 -0.092937 1.000000>
}

#declare handle_cone = intersection {
  quadric { QCone_Z
  texture {
    knob_purple
  }
  }
  plane { <0 0 +1> 1
  texture {
    knob_purple
  }
  }
  plane { <0 0 -1> 0
  texture {
    knob_purple
  }
  }
  scale <0.750000 0.750000 1.000000>
  rotate <-0.000000 -90.000000 -180.000000>
  translate <6.040892 6.784387 0.000000>
}

#declare handle_cynd = intersection {
  quadric { Cylinder_Z
  texture {
    knob_purple
  }
  }
  plane { <0 0 -1> 0
  texture {
    knob_purple
  }
  }
  plane { <0 0 +1> 1
  texture {
    knob_purple
  }
  }
  scale <0.750000 0.750000 3.000000>
  rotate <-0.000000 -90.000000 -0.000000>
  translate <10.037175 6.784387 0.092937>
}

#declare handle_1 = composite {
  object { intersection { handle_cone } }
  object { intersection { handle_cynd } }
  scale <0.600000 0.600000 0.600000>
  rotate <-0.000000 -0.000000 -36.674999>
  translate <-5.018587 -3.438662 4.832714>
}
#declare knobs = composite {
  object { intersection { top_cone } }
  object { intersection { top_cone1 } }
  object { intersection { base_cover } }
  composite { handle_1 }
}
#declare dispencer = intersection {
  quadric { Cylinder_Z
  texture {
    silver
  }
  }
  plane { <0 0 -1> 0
  texture {
    silver
  }
  }
  plane { <0 0 +1> 1
  texture {
    silver
  }
  }
  scale <1.000000 1.000000 2.000000>
  translate <0.929368 -0.651000 -1.022305>
}

#declare dispenser_hlder = intersection {
  quadric { Cylinder_Z
  texture {
    silver
  }
  }
  plane { <0 0 -1> 0
  texture {
    silver
  }
  }
  plane { <0 0 +1> 1
  texture {
    silver
  }
  }
  scale <0.750000 0.750000 1.150000>
  rotate <-0.000000 -90.000000 -0.000000>
  translate <0.278810 -0.557621 0.000000>
}

#declare dispenser_spout = intersection {
  quadric { QCone_Z
  texture {
    silver
  }
  }
  plane { <0 0 +1> 1
  texture {
    silver
  }
  }
  plane { <0 0 -1> 0
  texture {
    silver
  }
  }
  translate <0.929368 -0.650558 -1.900000>
}

#declare disp_sphere = intersection { 
  quadric { Sphere 
  texture {
    silver
  }
  }
  scale <0.950000 0.950000 0.950000>
  translate <0.836431 -0.650558 1.022305>
}

#declare spoutlet = intersection {
  quadric { Cylinder_Z
  texture {
    silver
  }
  }
  plane { <0 0 -1> 0
  texture {
    silver
  }
  }
  plane { <0 0 +1> 1
  texture {
    silver
  }
  }
  scale <0.500000 0.500000 0.500000>
  translate <0.929368 -0.743494 -1.922862>
}

#declare spout = composite {
  object { intersection { dispencer } }
  object { intersection { dispenser_hlder } }
  object { intersection { dispenser_spout } }
  object { intersection { disp_sphere } }
  object { intersection { spoutlet } }
  translate <0.000000 0.557621 4.739777>
}
composite {   // full_maker
  composite { coffe_maker }
  composite { knobs }
  composite { spout }
  translate <0.000000 -0.557621 -4.368030>
}
#declare cup = intersection {
  quadric { Cylinder_Z
  texture {
    shinny_gold
  }
  }
  plane { <0 0 -1> 0
  texture {
    shinny_gold
  }
  }
  plane { <0 0 +1> 1
  texture {
    shinny_gold
  }
  }
  scale <1.000000 1.000000 2.000000>
  translate <-1.394052 3.159851 -5.204461>
}

#declare cup_handle = intersection {
  quartic {
           // Torus MinRadius=   0.100   MajRadius=   0.700 
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -1.000
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -1.000    0.000   0.000   0.000   0.000
             1.000   0.000   0.960  0.000   0.230 >
  texture {
    shinny_gold
  }
  }
  rotate <-0.000000 -90.000000 -0.000000>
  translate <-1.394052 4.089219 -4.182156>
}

#declare coffer = intersection {
  quadric { Cylinder_Z
  texture {
    coffe
  }
  }
  plane { <0 0 -1> 0
  texture {
    coffe
  }
  }
  plane { <0 0 +1> 1
  texture {
    coffe
  }
  }
  scale <0.850000 0.850000 0.850000>
  translate <-1.394052 3.160000 -3.950000>
}

#declare saucer = object {
  union {
    triangle { <-1.00000 -1.00000 1.0>  <0.00000 -1.00000 1.0>  <0.0 0.0 0.0> }
    triangle { <0.00000 -1.00000 1.0>  <1.00000 -1.00000 1.0>  <0.0 0.0 0.0> }
    triangle { <1.00000 -1.00000 1.0>  <1.00000 0.00000 1.0>  <0.0 0.0 0.0> }
    triangle { <1.00000 0.00000 1.0>  <1.00000 1.00000 1.0>  <0.0 0.0 0.0> }
    triangle { <1.00000 1.00000 1.0>  <0.00000 1.00000 1.0>  <0.0 0.0 0.0> }
    triangle { <0.00000 1.00000 1.0>  <-1.00000 1.00000 1.0>  <0.0 0.0 0.0> }
    triangle { <-1.00000 1.00000 1.0>  <-1.00000 0.00000 1.0>  <0.0 0.0 0.0> }
    triangle { <-1.00000 0.00000 1.0>  <-1.00000 -1.00000 1.0>  <0.0 0.0 0.0> }
  }
  texture {
    knob_purple
  }
  bounded_by { box { <-1.00100 -1.00100 -0.001> <1.00100 1.001000 1.001> } }
  scale <2.000000 2.000000 0.500000>
  translate <-1.394052 3.159851 -5.669145>
}

composite {   // cupnsucer
  object { intersection { cup } }
  object { intersection { cup_handle } }
  object { intersection { coffer } }
  object { saucer }
  translate <-0.092937 1.486989 0.371747>
}
object {   // dispnser_torus
  quartic {
           // Torus MinRadius=   0.062   MajRadius=   1.038 
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -2.161
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -2.161    0.000   0.000   0.000   0.000
             1.000   0.000   2.145  0.000   1.150 >
            }
  texture {
    shinny_gold
  }
  translate <0.929368 -0.650558 -0.371747>
}

object {   // dispnser_tor1
  quartic {
           // Torus MinRadius=   0.062   MajRadius=   1.038 
           < 1.000   0.000   0.000   0.000   2.000
             0.000   0.000   2.000   0.000   -2.161
             0.000   0.000   0.000   0.000   0.000
             0.000   0.000   0.000   0.000   0.000
             1.000   0.000   0.000   2.000   0.000
             -2.161    0.000   0.000   0.000   0.000
             1.000   0.000   2.145  0.000   1.150 >
            }
  texture {
    shinny_gold
  }
  translate <0.929368 -0.650558 1.378253>
}

#declare spoon_end = intersection {
  quadric { Cylinder_Z
  texture {
    spoon_red
  }
  }
  plane { <0 0 -1> 0
  texture {
    spoon_red
  }
  }
  plane { <0 0 +1> 1
  texture {
    spoon_red
  }
  }
  scale <1.000000 0.650000 0.250000>
  translate <5.018587 0.000000 1.208178>
}

#declare spoon_handle = intersection {
  box { UnitBox 
  texture {
    spoon_red
  }
  }
  scale <2.000000 0.250000 0.125000>
  translate <7.806691 0.000000 1.394052>
}

composite {   // spoon
  object { intersection { spoon_end } }
  object { intersection { spoon_handle } }
  scale <0.800000 0.800000 0.800000>
  rotate <-0.000000 -0.000000 -125.223686>
  translate <0.836431 10.501859 -5.669145>
}
object {   // floor
  box { UnitBox 
  texture {
    floor_check
    scale <0.264405 0.264405 0.264405>
    rotate <-6.158495 -0.000000 -45.000000>
  }
  }
  scale <25.000000 25.000000 0.250000>
  translate <-0.836431 -0.371747 -5.669145>
}

object {   // floor1
  box { UnitBox 
  texture {
    floor_check
    scale <0.264405 0.264405 0.264405>
    rotate <-6.158495 -0.000000 -45.000000>
  }
  }
  scale <25.000000 25.000000 0.250000>
  rotate <-0.000000 -90.000000 -0.000000>
  translate <-5.762082 -0.464684 -5.669145>
}

